Bug 543863 - Review Request: perl-CGI-Application-Structured-Tools - Tools to generate and maintain CGI::Application::Structured based web apps
Review Request: perl-CGI-Application-Structured-Tools - Tools to generate and...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-03 06:04 EST by Emmanuel Seyman
Modified: 2009-12-14 19:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-14 19:46:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-12-03 06:04:21 EST
Spec URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Structured-Tools/perl-CGI-Application-Structured-Tools.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Structured-Tools/perl-CGI-Application-Structured-Tools-0.007-1.fc12.src.rpm
Description:
A simple, medium-weight, MVC, DB web micro-framework built on
CGI::Application. The framework combines tested, well known plugins, templates
and helper scripts to provide a rapid development environment.
Comment 1 Parag AN(पराग) 2009-12-09 00:52:18 EST
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1863797
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url (sha1sum)
1a5a569b7b93c6a931fe8a0349a97c212c71bed1  CGI-Application-Structured-Tools-0.007.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=2, Tests=21,  1 wallclock secs ( 0.04 usr  0.00 sys +  0.37 cusr  0.09 csys =  0.50 CPU)
+ Package  perl-CGI-Application-Structured-Tools-0.007-1.fc13.noarch=>
Provides: perl(CGI::Application::Structured::Tools) perl(CGI::Application::Structured::Tools::Starter) = 0.007
Requires: /usr/bin/perl perl(CGI::Application::Structured::Tools::Starter) perl(Carp) perl(Config::Auto) perl(DBIx::Class::Schema::Loader) perl(English) perl(ExtUtils::Command) perl(File::Basename) perl(File::Find) perl(File::Spec) perl(FindBin) perl(Getopt::Long) perl(HTML::Template) perl(Module::Starter) perl(Module::Starter::App) perl(Test::More) perl(Test::WWW::Mechanize::CGIApp) perl(base) perl(constant) perl(lib) perl(strict) perl(warnings)
+ Not a GUI application

APPROVED.
Comment 2 Emmanuel Seyman 2009-12-13 03:04:39 EST
(In reply to comment #1)
> 
> APPROVED.

Thank you, Parag. Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-CGI-Application-Structured-Tools
Short Description: Tools to generate and maintain CGI::Application::Structured based web apps
Owners: eseyman
Branches: F-11 F-12
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-12-14 12:36:48 EST
cvs done.
Comment 4 Emmanuel Seyman 2009-12-14 19:46:12 EST
Bodhi timed out while contacting Bugzilla when I released the two updates.

F-11 Package:
https://admin.fedoraproject.org/updates/perl-CGI-Application-Structured-Tools-0.007-1.fc11

F-12 Package:
https://admin.fedoraproject.org/updates/perl-CGI-Application-Structured-Tools-0.007-1.fc12

Note You need to log in before you can comment on or make changes to this bug.